Bug 137148 - Attempting to update for RHSA-2004:383-05 and getting consistent failures
Attempting to update for RHSA-2004:383-05 and getting consistent failures
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Clifford Perry
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 04:04 EDT by Glenn Rossell
Modified: 2012-06-20 12:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glenn Rossell 2004-10-26 04:04:32 EDT
Description of problem:
I have used both the up2date agent and the RHN scheduled updates to 
attempt to bring our server up to date.  There have been a number of 
failures but the one that I am most concerned with is when trying to 
get glibc to update as part of RHSA-2004:383-05.  I get a failure 
every time as follows :

"Failed: There was a File Not Found error. The error was: File Not 
Found: Error Message: Invalid RPM package shadow-utils-20000902-
16.src.rpm requested Error Class Code: 17 Error Class Info: File not 
found. Explanation: An error has occurred while processing your 
request."

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.Select glibc as one of the packages to upgrade
2.Hit the button
3.Agent syas it needs shadow-utils and then fails
  
Actual results:
As above

Expected results:
Upgrade successfully

Additional info:
Comment 1 Mihai Ibanescu 2004-10-26 18:13:40 EDT
The source package was missing, it should be fixed now.
Comment 2 Glenn Rossell 2004-10-27 05:46:16 EDT
Hi

Yup, that has nailed it, thanks.  I am going to attempt to apply all 
of the outstanding errata and will come back to you with any other 
problems.

GR

Comment 3 Glenn Rossell 2004-10-28 05:29:19 EDT
Hi
Nope, the same problem is ocurring with ALL of the below errata 
updates (file not found):
Errata Update: RHSA-2002:131-04 - Updated OpenSSH packages fix 
various security issues  
Errata Update: RHSA-2002:173-05 - Updated krb5 packages fix remote 
buffer overflow  
Errata Update: RHSA-2002:250-08 - Updated krb5 packages available    
Errata Update: RHEA-2002:303-08 - Updated initscripts and chkconfig 
packages add LSB support  
Errata Update: RHSA-2003:021-07 - Updated Kerberos packages fix 
vulnerability in FTP client  
Errata Update: RHEA-2002:232-06 - Updated iputils package available  
Errata Update: RHBA-2002:278-06 - Updated rusers package available  
Errata Update: RHEA-2002:304-06 - Updated modutils packages add 
multipath alias 
Errata Update: RHBA-2002:282-09 - LSB compliant passwd command  
Errata Update: RHSA-2003:052-25 - Updated kerberos packages fix 
various vulnerabilities  
Errata Update: RHEA-2003:132-08 - Updated kudzu packages available  
Errata Update: RHSA-2003:224-07 - Updated openssh packages available  
Errata Update: RHSA-2003:280-13 - Updated OpenSSH packages fix 
potential vulnerabilities 
Errata Update: RHSA-2003:257-12 - Updated Perl packages fix security 
issues.  
Errata Update: RHEA-2003:230-06 - Updated tcsh packages available  
Errata Update: RHBA-2003:338-08 - Updated kudzu packages available 
Errata Update: RHBA-2003:373-04 - Updated procps fixes bugs in top 
Errata Update: RHBA-2003:341-09 - New initscripts packages available  
Errata Update: RHBA-2004:162-04 - Perl CGI.pm cookie bugfix 
Errata Update: RHEA-2004:148-09 - Updated anaconda, kudzu, tar 
packages include various bugfixes  
Errata Update: RHBA-2004:081-04 - Updated initscripts packages fix 
bug in bonding support    
Errata Update: RHEA-2004:087-05 - Updated pciutils package available 
Errata Update: RHSA-2004:236-14 - Updated krb5 packages available 
Errata Update: RHBA-2004:368-10 - Updated up2date packages  
Errata Update: RHBA-2004:369-06 - Updated rhn_register packages 
Errata Update: RHBA-2004:339-03 - Updated expect packages  
Errata Update: RHBA-2004:348-04 - Updated sysklogd package 
Errata Update: RHBA-2004:306-08 - Updated tcsh package  
Errata Update: RHEA-2004:331-04 - Updated pciutils packages with 
pci.ids sync    
Errata Update: RHBA-2004:332-04 - Updated chkconfig package
Errata Update: RHBA-2004:334-03 - Updated kudzu packages  
Errata Update: RHBA-2004:329-04 - Updated initscripts package
Errata Update: RHBA-2004:303-03 - Updated openssh packages  
Errata Update: RHBA-2004:298-04 - Updated openmotif packages  
Errata Update: RHSA-2004:414-19 - Updated qt packages fix security 
issues
Errata Update: RHSA-2004:448-13 - Updated krb5 packages fix security 
vulnerabilities    
Errata Update: RHEA-2004:374-09 - Updated procps package  
Comment 4 Glenn Rossell 2004-11-18 04:32:34 EST
Hi
This is still not resolved ... the same error is ocurring for each of 
the following :

Failed: There was a File Not Found error. The error was: File Not 
Found: Error Message: Invalid RPM package rhn_register-2.9.12-
1.2.1AS.src.rpm requested Error Class Code: 17 Error Class Info: File 
not found.

Errata Update: RHSA-2002:173-05 - Updated krb5 packages fix remote 
buffer overflow    
Errata Update: RHSA-2002:250-08 - Updated krb5 packages available    
Errata Update: RHEA-2002:303-08 - Updated initscripts and chkconfig 
packages add LSB support    
Errata Update: RHSA-2003:021-07 - Updated Kerberos packages fix 
vulnerability in FTP client    
Errata Update: RHEA-2002:232-06 - Updated iputils package 
available    
Errata Update: RHBA-2002:278-06 - Updated rusers package available    
Errata Update: RHEA-2002:304-06 - Updated modutils packages add 
multipath alias    
Errata Update: RHBA-2002:282-09 - LSB compliant passwd command    
Errata Update: RHSA-2003:052-25 - Updated kerberos packages fix 
various vulnerabilities    
Errata Update: RHEA-2003:132-08 - Updated kudzu packages available    
Errata Update: RHSA-2003:257-12 - Updated Perl packages fix security 
issues.    
Errata Update: RHEA-2003:230-06 - Updated tcsh packages available    
Errata Update: RHBA-2003:338-08 - Updated kudzu packages available    
Errata Update: RHBA-2003:341-09 - New initscripts packages 
available    
Errata Update: RHBA-2004:162-04 - Perl CGI.pm cookie bugfix  
Errata Update: RHEA-2004:148-09 - Updated anaconda, kudzu, tar 
packages include various bugfixes    
Errata Update: RHBA-2004:081-04 - Updated initscripts packages fix 
bug in bonding support    
Errata Update: RHEA-2004:087-05 - Updated pciutils package 
available    
Errata Update: RHSA-2004:236-14 - Updated krb5 packages available  
2004-11-17 11:46:17 (EST)  0  1  0   
Errata Update: RHBA-2004:369-06 - Updated rhn_register packages    
Errata Update: RHBA-2004:339-03 - Updated expect packages    
Errata Update: RHBA-2004:348-04 - Updated sysklogd package    
Errata Update: RHBA-2004:306-08 - Updated tcsh package    
Errata Update: RHEA-2004:331-04 - Updated pciutils packages with 
pci.ids sync    
Errata Update: RHBA-2004:332-04 - Updated chkconfig package    
Errata Update: RHBA-2004:334-03 - Updated kudzu packages    
Errata Update: RHBA-2004:329-04 - Updated initscripts package    
Errata Update: RHBA-2004:298-04 - Updated openmotif packages    
Errata Update: RHSA-2004:414-19 - Updated qt packages fix security 
issues    
Errata Update: RHSA-2004:448-13 - Updated krb5 packages fix security 
vulnerabilities  

Comment 6 Jiri Pallich 2012-06-20 12:03:39 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.